Now it’s safe to say that you can update your WordPress to 4.5, but it would be better if you update the Themify Framework for your theme first before you upgrade. It’s a lot safer and sure that way. I’ve tested it with my writing site and this collective. It’s all good.